Bug 199441 - autofs reload and condrestart fail if map is originally empty
autofs reload and condrestart fail if map is originally empty
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
Blocks: 993474
  Show dependency treegraph
Reported: 2006-07-19 12:29 EDT by Alex Yacoub
Modified: 2013-08-05 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0274
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 993474 (view as bug list)
Last Closed: 2007-05-07 19:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for /etc/init.d/autofs (282 bytes, patch)
2006-07-19 12:41 EDT, Alex Yacoub
no flags Details | Diff

  None (edit)
Description Alex Yacoub 2006-07-19 12:29:01 EDT
Description of problem:

autofs doesn't start up when running "service autofs start" if the maps are empty.  I understand that 
this is probably by design, but it leads to another bug.

If you have autofs on in chkconfig, then change the map and call "service autofs reload", it should load 
the new map.  However, because the service doesn't start when the map is empty, the reload (as well as 
the condrestart) both fail to make autofs turn on.

When autofs is turned on in chkconfig, scripts and programs should have the expectation that autofs is 
running when the machine is on, and should be able to call condrestart and reload without worrying 
about it failing.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Autofs is off; user is root
2. Supply an empty /etc/auto.master file (the default file installed by the rpm is fine)
3. Run "/sbin/service autofs start"
4. Replace the auto.master file with one that has at least one mount
5. Call "/sbin/service autofs reload" or "/sbin/service autofs condrestart"
Actual results:

autofs fails to reload / restart.

Expected results:

autofs SHOULD reload / restart

Additional info:
Comment 1 Alex Yacoub 2006-07-19 12:41:10 EDT
Created attachment 132695 [details]
Patch for /etc/init.d/autofs

This one-line patch fixes this bug.  This init.d file is written, however, for
both Debian and RedHat.  My patch only addresses the issue on RedHat.  I don't
even know if the bug exists on Debian.
Comment 2 Jeffrey Moyer 2006-07-24 14:08:00 EDT
This is simple enough.  Thanks!
Comment 3 Tom Coughlan 2006-09-15 09:54:08 EDT
Proposed for 4.5.
Comment 4 RHEL Product and Program Management 2006-09-15 10:03:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 Jeffrey Moyer 2006-10-16 12:31:00 EDT
A fix for this problem was committed to autofs-4.1.3-195.  Alex, if I provide
updated packages, would you be willing to confirm that they fix your problem?
Comment 10 Red Hat Bugzilla 2007-05-07 19:26:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.